Skip to main content
GET
/
open-api
/
checkout
/
order
/
{orderId}
/
payment
Obter pagamento do pedido
curl --request GET \
  --url https://api.mginex.com/open-api/checkout/order/{orderId}/payment \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "PENDING",
    "method": "<string>",
    "amount": 123,
    "pix": {
      "qrCode": "<string>",
      "qrCodeBase64": "<string>",
      "expiresAt": "2023-11-07T05:31:56Z"
    },
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Token de API gerado no painel da Mginex em Configurações > Open API

Path Parameters

orderId
string<uuid>
required

ID do pedido

Response

200 - application/json

Detalhes do pagamento

success
boolean
data
object